package cn.superdesk.uniorder.dao.entity.invoice.common;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class InvoiceBankInfoExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public InvoiceBankInfoExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    invoice_bank_info
     *
     * @mbg.generated Tue Feb 22 11:42:14 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeIsNull() {
            addCriterion("taxpayers_i_d_code is null");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeIsNotNull() {
            addCriterion("taxpayers_i_d_code is not null");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeEqualTo(String value) {
            addCriterion("taxpayers_i_d_code =", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeNotEqualTo(String value) {
            addCriterion("taxpayers_i_d_code <>", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeGreaterThan(String value) {
            addCriterion("taxpayers_i_d_code >", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeGreaterThanOrEqualTo(String value) {
            addCriterion("taxpayers_i_d_code >=", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeLessThan(String value) {
            addCriterion("taxpayers_i_d_code <", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeLessThanOrEqualTo(String value) {
            addCriterion("taxpayers_i_d_code <=", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeLike(String value) {
            addCriterion("taxpayers_i_d_code like", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeNotLike(String value) {
            addCriterion("taxpayers_i_d_code not like", value, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeIn(List<String> values) {
            addCriterion("taxpayers_i_d_code in", values, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeNotIn(List<String> values) {
            addCriterion("taxpayers_i_d_code not in", values, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeBetween(String value1, String value2) {
            addCriterion("taxpayers_i_d_code between", value1, value2, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andTaxpayersIDCodeNotBetween(String value1, String value2) {
            addCriterion("taxpayers_i_d_code not between", value1, value2, "taxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andBankAccountIsNull() {
            addCriterion("bank_account is null");
            return (Criteria) this;
        }

        public Criteria andBankAccountIsNotNull() {
            addCriterion("bank_account is not null");
            return (Criteria) this;
        }

        public Criteria andBankAccountEqualTo(String value) {
            addCriterion("bank_account =", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountNotEqualTo(String value) {
            addCriterion("bank_account <>", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountGreaterThan(String value) {
            addCriterion("bank_account >", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountGreaterThanOrEqualTo(String value) {
            addCriterion("bank_account >=", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountLessThan(String value) {
            addCriterion("bank_account <", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountLessThanOrEqualTo(String value) {
            addCriterion("bank_account <=", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountLike(String value) {
            addCriterion("bank_account like", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountNotLike(String value) {
            addCriterion("bank_account not like", value, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountIn(List<String> values) {
            addCriterion("bank_account in", values, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountNotIn(List<String> values) {
            addCriterion("bank_account not in", values, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountBetween(String value1, String value2) {
            addCriterion("bank_account between", value1, value2, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankAccountNotBetween(String value1, String value2) {
            addCriterion("bank_account not between", value1, value2, "bankAccount");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNull() {
            addCriterion("bank_name is null");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNotNull() {
            addCriterion("bank_name is not null");
            return (Criteria) this;
        }

        public Criteria andBankNameEqualTo(String value) {
            addCriterion("bank_name =", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotEqualTo(String value) {
            addCriterion("bank_name <>", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThan(String value) {
            addCriterion("bank_name >", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThanOrEqualTo(String value) {
            addCriterion("bank_name >=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThan(String value) {
            addCriterion("bank_name <", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThanOrEqualTo(String value) {
            addCriterion("bank_name <=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLike(String value) {
            addCriterion("bank_name like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotLike(String value) {
            addCriterion("bank_name not like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameIn(List<String> values) {
            addCriterion("bank_name in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotIn(List<String> values) {
            addCriterion("bank_name not in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameBetween(String value1, String value2) {
            addCriterion("bank_name between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotBetween(String value1, String value2) {
            addCriterion("bank_name not between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameIsNull() {
            addCriterion("supply_name is null");
            return (Criteria) this;
        }

        public Criteria andSupplyNameIsNotNull() {
            addCriterion("supply_name is not null");
            return (Criteria) this;
        }

        public Criteria andSupplyNameEqualTo(String value) {
            addCriterion("supply_name =", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameNotEqualTo(String value) {
            addCriterion("supply_name <>", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameGreaterThan(String value) {
            addCriterion("supply_name >", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameGreaterThanOrEqualTo(String value) {
            addCriterion("supply_name >=", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameLessThan(String value) {
            addCriterion("supply_name <", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameLessThanOrEqualTo(String value) {
            addCriterion("supply_name <=", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameLike(String value) {
            addCriterion("supply_name like", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameNotLike(String value) {
            addCriterion("supply_name not like", value, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameIn(List<String> values) {
            addCriterion("supply_name in", values, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameNotIn(List<String> values) {
            addCriterion("supply_name not in", values, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameBetween(String value1, String value2) {
            addCriterion("supply_name between", value1, value2, "supplyName");
            return (Criteria) this;
        }

        public Criteria andSupplyNameNotBetween(String value1, String value2) {
            addCriterion("supply_name not between", value1, value2, "supplyName");
            return (Criteria) this;
        }

        public Criteria andTelIsNull() {
            addCriterion("tel is null");
            return (Criteria) this;
        }

        public Criteria andTelIsNotNull() {
            addCriterion("tel is not null");
            return (Criteria) this;
        }

        public Criteria andTelEqualTo(String value) {
            addCriterion("tel =", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelNotEqualTo(String value) {
            addCriterion("tel <>", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelGreaterThan(String value) {
            addCriterion("tel >", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelGreaterThanOrEqualTo(String value) {
            addCriterion("tel >=", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelLessThan(String value) {
            addCriterion("tel <", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelLessThanOrEqualTo(String value) {
            addCriterion("tel <=", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelLike(String value) {
            addCriterion("tel like", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelNotLike(String value) {
            addCriterion("tel not like", value, "tel");
            return (Criteria) this;
        }

        public Criteria andTelIn(List<String> values) {
            addCriterion("tel in", values, "tel");
            return (Criteria) this;
        }

        public Criteria andTelNotIn(List<String> values) {
            addCriterion("tel not in", values, "tel");
            return (Criteria) this;
        }

        public Criteria andTelBetween(String value1, String value2) {
            addCriterion("tel between", value1, value2, "tel");
            return (Criteria) this;
        }

        public Criteria andTelNotBetween(String value1, String value2) {
            addCriterion("tel not between", value1, value2, "tel");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andParam1IsNull() {
            addCriterion("param1 is null");
            return (Criteria) this;
        }

        public Criteria andParam1IsNotNull() {
            addCriterion("param1 is not null");
            return (Criteria) this;
        }

        public Criteria andParam1EqualTo(String value) {
            addCriterion("param1 =", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1NotEqualTo(String value) {
            addCriterion("param1 <>", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1GreaterThan(String value) {
            addCriterion("param1 >", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1GreaterThanOrEqualTo(String value) {
            addCriterion("param1 >=", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1LessThan(String value) {
            addCriterion("param1 <", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1LessThanOrEqualTo(String value) {
            addCriterion("param1 <=", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1Like(String value) {
            addCriterion("param1 like", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1NotLike(String value) {
            addCriterion("param1 not like", value, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1In(List<String> values) {
            addCriterion("param1 in", values, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1NotIn(List<String> values) {
            addCriterion("param1 not in", values, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1Between(String value1, String value2) {
            addCriterion("param1 between", value1, value2, "param1");
            return (Criteria) this;
        }

        public Criteria andParam1NotBetween(String value1, String value2) {
            addCriterion("param1 not between", value1, value2, "param1");
            return (Criteria) this;
        }

        public Criteria andParam2IsNull() {
            addCriterion("param2 is null");
            return (Criteria) this;
        }

        public Criteria andParam2IsNotNull() {
            addCriterion("param2 is not null");
            return (Criteria) this;
        }

        public Criteria andParam2EqualTo(String value) {
            addCriterion("param2 =", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2NotEqualTo(String value) {
            addCriterion("param2 <>", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2GreaterThan(String value) {
            addCriterion("param2 >", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2GreaterThanOrEqualTo(String value) {
            addCriterion("param2 >=", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2LessThan(String value) {
            addCriterion("param2 <", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2LessThanOrEqualTo(String value) {
            addCriterion("param2 <=", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2Like(String value) {
            addCriterion("param2 like", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2NotLike(String value) {
            addCriterion("param2 not like", value, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2In(List<String> values) {
            addCriterion("param2 in", values, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2NotIn(List<String> values) {
            addCriterion("param2 not in", values, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2Between(String value1, String value2) {
            addCriterion("param2 between", value1, value2, "param2");
            return (Criteria) this;
        }

        public Criteria andParam2NotBetween(String value1, String value2) {
            addCriterion("param2 not between", value1, value2, "param2");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andIsDefaultIsNull() {
            addCriterion("is_default is null");
            return (Criteria) this;
        }

        public Criteria andIsDefaultIsNotNull() {
            addCriterion("is_default is not null");
            return (Criteria) this;
        }

        public Criteria andIsDefaultEqualTo(Integer value) {
            addCriterion("is_default =", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultNotEqualTo(Integer value) {
            addCriterion("is_default <>", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultGreaterThan(Integer value) {
            addCriterion("is_default >", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_default >=", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultLessThan(Integer value) {
            addCriterion("is_default <", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultLessThanOrEqualTo(Integer value) {
            addCriterion("is_default <=", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultIn(List<Integer> values) {
            addCriterion("is_default in", values, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultNotIn(List<Integer> values) {
            addCriterion("is_default not in", values, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultBetween(Integer value1, Integer value2) {
            addCriterion("is_default between", value1, value2, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultNotBetween(Integer value1, Integer value2) {
            addCriterion("is_default not between", value1, value2, "isDefault");
            return (Criteria) this;
        }

        public Criteria andEnabledIsNull() {
            addCriterion("enabled is null");
            return (Criteria) this;
        }

        public Criteria andEnabledIsNotNull() {
            addCriterion("enabled is not null");
            return (Criteria) this;
        }

        public Criteria andEnabledEqualTo(Integer value) {
            addCriterion("enabled =", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotEqualTo(Integer value) {
            addCriterion("enabled <>", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledGreaterThan(Integer value) {
            addCriterion("enabled >", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledGreaterThanOrEqualTo(Integer value) {
            addCriterion("enabled >=", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLessThan(Integer value) {
            addCriterion("enabled <", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLessThanOrEqualTo(Integer value) {
            addCriterion("enabled <=", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledIn(List<Integer> values) {
            addCriterion("enabled in", values, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotIn(List<Integer> values) {
            addCriterion("enabled not in", values, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledBetween(Integer value1, Integer value2) {
            addCriterion("enabled between", value1, value2, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotBetween(Integer value1, Integer value2) {
            addCriterion("enabled not between", value1, value2, "enabled");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Integer value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Integer value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Integer value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Integer value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Integer value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Integer value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Integer> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Integer> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Integer value1, Integer value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Integer value1, Integer value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceIsNull() {
            addCriterion("person_name_invoice is null");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceIsNotNull() {
            addCriterion("person_name_invoice is not null");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceEqualTo(String value) {
            addCriterion("person_name_invoice =", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceNotEqualTo(String value) {
            addCriterion("person_name_invoice <>", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceGreaterThan(String value) {
            addCriterion("person_name_invoice >", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceGreaterThanOrEqualTo(String value) {
            addCriterion("person_name_invoice >=", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceLessThan(String value) {
            addCriterion("person_name_invoice <", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceLessThanOrEqualTo(String value) {
            addCriterion("person_name_invoice <=", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceLike(String value) {
            addCriterion("person_name_invoice like", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceNotLike(String value) {
            addCriterion("person_name_invoice not like", value, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceIn(List<String> values) {
            addCriterion("person_name_invoice in", values, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceNotIn(List<String> values) {
            addCriterion("person_name_invoice not in", values, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceBetween(String value1, String value2) {
            addCriterion("person_name_invoice between", value1, value2, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameInvoiceNotBetween(String value1, String value2) {
            addCriterion("person_name_invoice not between", value1, value2, "personNameInvoice");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewIsNull() {
            addCriterion("person_name_review is null");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewIsNotNull() {
            addCriterion("person_name_review is not null");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewEqualTo(String value) {
            addCriterion("person_name_review =", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewNotEqualTo(String value) {
            addCriterion("person_name_review <>", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewGreaterThan(String value) {
            addCriterion("person_name_review >", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewGreaterThanOrEqualTo(String value) {
            addCriterion("person_name_review >=", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewLessThan(String value) {
            addCriterion("person_name_review <", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewLessThanOrEqualTo(String value) {
            addCriterion("person_name_review <=", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewLike(String value) {
            addCriterion("person_name_review like", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewNotLike(String value) {
            addCriterion("person_name_review not like", value, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewIn(List<String> values) {
            addCriterion("person_name_review in", values, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewNotIn(List<String> values) {
            addCriterion("person_name_review not in", values, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewBetween(String value1, String value2) {
            addCriterion("person_name_review between", value1, value2, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameReviewNotBetween(String value1, String value2) {
            addCriterion("person_name_review not between", value1, value2, "personNameReview");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierIsNull() {
            addCriterion("person_name_cashier is null");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierIsNotNull() {
            addCriterion("person_name_cashier is not null");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierEqualTo(String value) {
            addCriterion("person_name_cashier =", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierNotEqualTo(String value) {
            addCriterion("person_name_cashier <>", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierGreaterThan(String value) {
            addCriterion("person_name_cashier >", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierGreaterThanOrEqualTo(String value) {
            addCriterion("person_name_cashier >=", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierLessThan(String value) {
            addCriterion("person_name_cashier <", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierLessThanOrEqualTo(String value) {
            addCriterion("person_name_cashier <=", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierLike(String value) {
            addCriterion("person_name_cashier like", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierNotLike(String value) {
            addCriterion("person_name_cashier not like", value, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierIn(List<String> values) {
            addCriterion("person_name_cashier in", values, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierNotIn(List<String> values) {
            addCriterion("person_name_cashier not in", values, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierBetween(String value1, String value2) {
            addCriterion("person_name_cashier between", value1, value2, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andPersonNameCashierNotBetween(String value1, String value2) {
            addCriterion("person_name_cashier not between", value1, value2, "personNameCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceIsNull() {
            addCriterion("sys_user_id_invoice is null");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceIsNotNull() {
            addCriterion("sys_user_id_invoice is not null");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceEqualTo(Long value) {
            addCriterion("sys_user_id_invoice =", value, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceNotEqualTo(Long value) {
            addCriterion("sys_user_id_invoice <>", value, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceGreaterThan(Long value) {
            addCriterion("sys_user_id_invoice >", value, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_user_id_invoice >=", value, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceLessThan(Long value) {
            addCriterion("sys_user_id_invoice <", value, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceLessThanOrEqualTo(Long value) {
            addCriterion("sys_user_id_invoice <=", value, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceIn(List<Long> values) {
            addCriterion("sys_user_id_invoice in", values, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceNotIn(List<Long> values) {
            addCriterion("sys_user_id_invoice not in", values, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceBetween(Long value1, Long value2) {
            addCriterion("sys_user_id_invoice between", value1, value2, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdInvoiceNotBetween(Long value1, Long value2) {
            addCriterion("sys_user_id_invoice not between", value1, value2, "sysUserIdInvoice");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewIsNull() {
            addCriterion("sys_user_id_review is null");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewIsNotNull() {
            addCriterion("sys_user_id_review is not null");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewEqualTo(Long value) {
            addCriterion("sys_user_id_review =", value, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewNotEqualTo(Long value) {
            addCriterion("sys_user_id_review <>", value, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewGreaterThan(Long value) {
            addCriterion("sys_user_id_review >", value, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_user_id_review >=", value, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewLessThan(Long value) {
            addCriterion("sys_user_id_review <", value, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewLessThanOrEqualTo(Long value) {
            addCriterion("sys_user_id_review <=", value, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewIn(List<Long> values) {
            addCriterion("sys_user_id_review in", values, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewNotIn(List<Long> values) {
            addCriterion("sys_user_id_review not in", values, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewBetween(Long value1, Long value2) {
            addCriterion("sys_user_id_review between", value1, value2, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdReviewNotBetween(Long value1, Long value2) {
            addCriterion("sys_user_id_review not between", value1, value2, "sysUserIdReview");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierIsNull() {
            addCriterion("sys_user_id_cashier is null");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierIsNotNull() {
            addCriterion("sys_user_id_cashier is not null");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierEqualTo(Long value) {
            addCriterion("sys_user_id_cashier =", value, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierNotEqualTo(Long value) {
            addCriterion("sys_user_id_cashier <>", value, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierGreaterThan(Long value) {
            addCriterion("sys_user_id_cashier >", value, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_user_id_cashier >=", value, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierLessThan(Long value) {
            addCriterion("sys_user_id_cashier <", value, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierLessThanOrEqualTo(Long value) {
            addCriterion("sys_user_id_cashier <=", value, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierIn(List<Long> values) {
            addCriterion("sys_user_id_cashier in", values, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierNotIn(List<Long> values) {
            addCriterion("sys_user_id_cashier not in", values, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierBetween(Long value1, Long value2) {
            addCriterion("sys_user_id_cashier between", value1, value2, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSysUserIdCashierNotBetween(Long value1, Long value2) {
            addCriterion("sys_user_id_cashier not between", value1, value2, "sysUserIdCashier");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1IsNull() {
            addCriterion("single_invoice_max_amount_1 is null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1IsNotNull() {
            addCriterion("single_invoice_max_amount_1 is not null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1EqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_1 =", value, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1NotEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_1 <>", value, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1GreaterThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_1 >", value, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_1 >=", value, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1LessThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_1 <", value, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1LessThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_1 <=", value, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1In(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_1 in", values, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1NotIn(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_1 not in", values, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_1 between", value1, value2, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount1NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_1 not between", value1, value2, "singleInvoiceMaxAmount1");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2IsNull() {
            addCriterion("single_invoice_max_amount_2 is null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2IsNotNull() {
            addCriterion("single_invoice_max_amount_2 is not null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2EqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_2 =", value, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2NotEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_2 <>", value, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2GreaterThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_2 >", value, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_2 >=", value, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2LessThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_2 <", value, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2LessThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_2 <=", value, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2In(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_2 in", values, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2NotIn(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_2 not in", values, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_2 between", value1, value2, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount2NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_2 not between", value1, value2, "singleInvoiceMaxAmount2");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3IsNull() {
            addCriterion("single_invoice_max_amount_3 is null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3IsNotNull() {
            addCriterion("single_invoice_max_amount_3 is not null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3EqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_3 =", value, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3NotEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_3 <>", value, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3GreaterThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_3 >", value, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_3 >=", value, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3LessThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_3 <", value, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3LessThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_3 <=", value, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3In(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_3 in", values, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3NotIn(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_3 not in", values, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_3 between", value1, value2, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount3NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_3 not between", value1, value2, "singleInvoiceMaxAmount3");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4IsNull() {
            addCriterion("single_invoice_max_amount_4 is null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4IsNotNull() {
            addCriterion("single_invoice_max_amount_4 is not null");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4EqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_4 =", value, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4NotEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_4 <>", value, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4GreaterThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_4 >", value, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_4 >=", value, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4LessThan(BigDecimal value) {
            addCriterion("single_invoice_max_amount_4 <", value, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4LessThanOrEqualTo(BigDecimal value) {
            addCriterion("single_invoice_max_amount_4 <=", value, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4In(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_4 in", values, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4NotIn(List<BigDecimal> values) {
            addCriterion("single_invoice_max_amount_4 not in", values, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_4 between", value1, value2, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andSingleInvoiceMaxAmount4NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_invoice_max_amount_4 not between", value1, value2, "singleInvoiceMaxAmount4");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateIsNull() {
            addCriterion("invoice_state is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateIsNotNull() {
            addCriterion("invoice_state is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateEqualTo(Integer value) {
            addCriterion("invoice_state =", value, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateNotEqualTo(Integer value) {
            addCriterion("invoice_state <>", value, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateGreaterThan(Integer value) {
            addCriterion("invoice_state >", value, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_state >=", value, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateLessThan(Integer value) {
            addCriterion("invoice_state <", value, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_state <=", value, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateIn(List<Integer> values) {
            addCriterion("invoice_state in", values, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateNotIn(List<Integer> values) {
            addCriterion("invoice_state not in", values, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateBetween(Integer value1, Integer value2) {
            addCriterion("invoice_state between", value1, value2, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceStateNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_state not between", value1, value2, "invoiceState");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNull() {
            addCriterion("invoice_type is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNotNull() {
            addCriterion("invoice_type is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeEqualTo(Integer value) {
            addCriterion("invoice_type =", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotEqualTo(Integer value) {
            addCriterion("invoice_type <>", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThan(Integer value) {
            addCriterion("invoice_type >", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_type >=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThan(Integer value) {
            addCriterion("invoice_type <", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_type <=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIn(List<Integer> values) {
            addCriterion("invoice_type in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotIn(List<Integer> values) {
            addCriterion("invoice_type not in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type not between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameIsNull() {
            addCriterion("invoice_name is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameIsNotNull() {
            addCriterion("invoice_name is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameEqualTo(String value) {
            addCriterion("invoice_name =", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameNotEqualTo(String value) {
            addCriterion("invoice_name <>", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameGreaterThan(String value) {
            addCriterion("invoice_name >", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_name >=", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameLessThan(String value) {
            addCriterion("invoice_name <", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameLessThanOrEqualTo(String value) {
            addCriterion("invoice_name <=", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameLike(String value) {
            addCriterion("invoice_name like", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameNotLike(String value) {
            addCriterion("invoice_name not like", value, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameIn(List<String> values) {
            addCriterion("invoice_name in", values, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameNotIn(List<String> values) {
            addCriterion("invoice_name not in", values, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameBetween(String value1, String value2) {
            addCriterion("invoice_name between", value1, value2, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoiceNameNotBetween(String value1, String value2) {
            addCriterion("invoice_name not between", value1, value2, "invoiceName");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneIsNull() {
            addCriterion("invoice_phone is null");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneIsNotNull() {
            addCriterion("invoice_phone is not null");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneEqualTo(String value) {
            addCriterion("invoice_phone =", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotEqualTo(String value) {
            addCriterion("invoice_phone <>", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneGreaterThan(String value) {
            addCriterion("invoice_phone >", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_phone >=", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneLessThan(String value) {
            addCriterion("invoice_phone <", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneLessThanOrEqualTo(String value) {
            addCriterion("invoice_phone <=", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneLike(String value) {
            addCriterion("invoice_phone like", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotLike(String value) {
            addCriterion("invoice_phone not like", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneIn(List<String> values) {
            addCriterion("invoice_phone in", values, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotIn(List<String> values) {
            addCriterion("invoice_phone not in", values, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneBetween(String value1, String value2) {
            addCriterion("invoice_phone between", value1, value2, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotBetween(String value1, String value2) {
            addCriterion("invoice_phone not between", value1, value2, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceIsNull() {
            addCriterion("invoice_provice is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceIsNotNull() {
            addCriterion("invoice_provice is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceEqualTo(Integer value) {
            addCriterion("invoice_provice =", value, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceNotEqualTo(Integer value) {
            addCriterion("invoice_provice <>", value, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceGreaterThan(Integer value) {
            addCriterion("invoice_provice >", value, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_provice >=", value, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceLessThan(Integer value) {
            addCriterion("invoice_provice <", value, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_provice <=", value, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceIn(List<Integer> values) {
            addCriterion("invoice_provice in", values, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceNotIn(List<Integer> values) {
            addCriterion("invoice_provice not in", values, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceBetween(Integer value1, Integer value2) {
            addCriterion("invoice_provice between", value1, value2, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceProviceNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_provice not between", value1, value2, "invoiceProvice");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityIsNull() {
            addCriterion("invoice_city is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityIsNotNull() {
            addCriterion("invoice_city is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityEqualTo(Integer value) {
            addCriterion("invoice_city =", value, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityNotEqualTo(Integer value) {
            addCriterion("invoice_city <>", value, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityGreaterThan(Integer value) {
            addCriterion("invoice_city >", value, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_city >=", value, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityLessThan(Integer value) {
            addCriterion("invoice_city <", value, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_city <=", value, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityIn(List<Integer> values) {
            addCriterion("invoice_city in", values, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityNotIn(List<Integer> values) {
            addCriterion("invoice_city not in", values, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityBetween(Integer value1, Integer value2) {
            addCriterion("invoice_city between", value1, value2, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCityNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_city not between", value1, value2, "invoiceCity");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyIsNull() {
            addCriterion("invoice_county is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyIsNotNull() {
            addCriterion("invoice_county is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyEqualTo(Integer value) {
            addCriterion("invoice_county =", value, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyNotEqualTo(Integer value) {
            addCriterion("invoice_county <>", value, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyGreaterThan(Integer value) {
            addCriterion("invoice_county >", value, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_county >=", value, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyLessThan(Integer value) {
            addCriterion("invoice_county <", value, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_county <=", value, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyIn(List<Integer> values) {
            addCriterion("invoice_county in", values, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyNotIn(List<Integer> values) {
            addCriterion("invoice_county not in", values, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyBetween(Integer value1, Integer value2) {
            addCriterion("invoice_county between", value1, value2, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountyNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_county not between", value1, value2, "invoiceCounty");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressIsNull() {
            addCriterion("invoice_address is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressIsNotNull() {
            addCriterion("invoice_address is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressEqualTo(String value) {
            addCriterion("invoice_address =", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressNotEqualTo(String value) {
            addCriterion("invoice_address <>", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressGreaterThan(String value) {
            addCriterion("invoice_address >", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_address >=", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressLessThan(String value) {
            addCriterion("invoice_address <", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressLessThanOrEqualTo(String value) {
            addCriterion("invoice_address <=", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressLike(String value) {
            addCriterion("invoice_address like", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressNotLike(String value) {
            addCriterion("invoice_address not like", value, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressIn(List<String> values) {
            addCriterion("invoice_address in", values, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressNotIn(List<String> values) {
            addCriterion("invoice_address not in", values, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressBetween(String value1, String value2) {
            addCriterion("invoice_address between", value1, value2, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressNotBetween(String value1, String value2) {
            addCriterion("invoice_address not between", value1, value2, "invoiceAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankIsNull() {
            addCriterion("invoice_bank is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankIsNotNull() {
            addCriterion("invoice_bank is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankEqualTo(String value) {
            addCriterion("invoice_bank =", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotEqualTo(String value) {
            addCriterion("invoice_bank <>", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankGreaterThan(String value) {
            addCriterion("invoice_bank >", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_bank >=", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankLessThan(String value) {
            addCriterion("invoice_bank <", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankLessThanOrEqualTo(String value) {
            addCriterion("invoice_bank <=", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankLike(String value) {
            addCriterion("invoice_bank like", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotLike(String value) {
            addCriterion("invoice_bank not like", value, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankIn(List<String> values) {
            addCriterion("invoice_bank in", values, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotIn(List<String> values) {
            addCriterion("invoice_bank not in", values, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankBetween(String value1, String value2) {
            addCriterion("invoice_bank between", value1, value2, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankNotBetween(String value1, String value2) {
            addCriterion("invoice_bank not between", value1, value2, "invoiceBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountIsNull() {
            addCriterion("invoice_account is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountIsNotNull() {
            addCriterion("invoice_account is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountEqualTo(String value) {
            addCriterion("invoice_account =", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotEqualTo(String value) {
            addCriterion("invoice_account <>", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountGreaterThan(String value) {
            addCriterion("invoice_account >", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_account >=", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountLessThan(String value) {
            addCriterion("invoice_account <", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountLessThanOrEqualTo(String value) {
            addCriterion("invoice_account <=", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountLike(String value) {
            addCriterion("invoice_account like", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotLike(String value) {
            addCriterion("invoice_account not like", value, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountIn(List<String> values) {
            addCriterion("invoice_account in", values, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotIn(List<String> values) {
            addCriterion("invoice_account not in", values, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountBetween(String value1, String value2) {
            addCriterion("invoice_account between", value1, value2, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAccountNotBetween(String value1, String value2) {
            addCriterion("invoice_account not between", value1, value2, "invoiceAccount");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberIsNull() {
            addCriterion("invoice_bank_account_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberIsNotNull() {
            addCriterion("invoice_bank_account_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberEqualTo(String value) {
            addCriterion("invoice_bank_account_number =", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberNotEqualTo(String value) {
            addCriterion("invoice_bank_account_number <>", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberGreaterThan(String value) {
            addCriterion("invoice_bank_account_number >", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_bank_account_number >=", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberLessThan(String value) {
            addCriterion("invoice_bank_account_number <", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_bank_account_number <=", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberLike(String value) {
            addCriterion("invoice_bank_account_number like", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberNotLike(String value) {
            addCriterion("invoice_bank_account_number not like", value, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberIn(List<String> values) {
            addCriterion("invoice_bank_account_number in", values, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberNotIn(List<String> values) {
            addCriterion("invoice_bank_account_number not in", values, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberBetween(String value1, String value2) {
            addCriterion("invoice_bank_account_number between", value1, value2, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceBankAccountNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_bank_account_number not between", value1, value2, "invoiceBankAccountNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneIsNull() {
            addCriterion("invoice_address_phone is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneIsNotNull() {
            addCriterion("invoice_address_phone is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneEqualTo(String value) {
            addCriterion("invoice_address_phone =", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneNotEqualTo(String value) {
            addCriterion("invoice_address_phone <>", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneGreaterThan(String value) {
            addCriterion("invoice_address_phone >", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_address_phone >=", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneLessThan(String value) {
            addCriterion("invoice_address_phone <", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneLessThanOrEqualTo(String value) {
            addCriterion("invoice_address_phone <=", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneLike(String value) {
            addCriterion("invoice_address_phone like", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneNotLike(String value) {
            addCriterion("invoice_address_phone not like", value, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneIn(List<String> values) {
            addCriterion("invoice_address_phone in", values, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneNotIn(List<String> values) {
            addCriterion("invoice_address_phone not in", values, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneBetween(String value1, String value2) {
            addCriterion("invoice_address_phone between", value1, value2, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceAddressPhoneNotBetween(String value1, String value2) {
            addCriterion("invoice_address_phone not between", value1, value2, "invoiceAddressPhone");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIsNull() {
            addCriterion("serial_number is null");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIsNotNull() {
            addCriterion("serial_number is not null");
            return (Criteria) this;
        }

        public Criteria andSerialNumberEqualTo(String value) {
            addCriterion("serial_number =", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotEqualTo(String value) {
            addCriterion("serial_number <>", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberGreaterThan(String value) {
            addCriterion("serial_number >", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberGreaterThanOrEqualTo(String value) {
            addCriterion("serial_number >=", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLessThan(String value) {
            addCriterion("serial_number <", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLessThanOrEqualTo(String value) {
            addCriterion("serial_number <=", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLike(String value) {
            addCriterion("serial_number like", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotLike(String value) {
            addCriterion("serial_number not like", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIn(List<String> values) {
            addCriterion("serial_number in", values, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotIn(List<String> values) {
            addCriterion("serial_number not in", values, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberBetween(String value1, String value2) {
            addCriterion("serial_number between", value1, value2, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotBetween(String value1, String value2) {
            addCriterion("serial_number not between", value1, value2, "serialNumber");
            return (Criteria) this;
        }
    }

    /**
    invoice_bank_info
     *
     * @mbg.generated do_not_delete_during_merge Tue Feb 22 11:42:14 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    invoice_bank_info
     *
     * @mbg.generated Tue Feb 22 11:42:14 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
